using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;

public class Man : MonoBehaviour
{
	public GameObject root;

	public GameObject Hair;
	public GameObject Body;
    public AudioClip Pickup;
    public AudioClip Hurt;
    public AudioClip Anti;

    public float tall = 1;
    public float wide = 1;

    private GameManager gameManager;

	private float realTall = 1;
	private float realWide = 1;


    public void PlaySound(AudioClip sound)
    {
        audioSource.audioClip = sound;
        audioSource.Play();
    }


    void Start()
    {
        gameManager = FindObjectOfType<GameManager>();
    }

	void InputManager()
	{
        if (Input.GetKey(ScanCode.A) & transform.position.x < -1f)
        {
            transform.position += new Vector3(4f * Time.deltaTime, 0f, 0f);
        }

        if (Input.GetKey(ScanCode.D) & transform.position.x > -5.7f)
        {
            transform.position -= new Vector3(4f * Time.deltaTime, 0f, 0f);
        }
    }

	void RenderManager()
	{
        root.transform.localScale = new Vector3(100f, 100f, 100f) * (realWide);
        root.transform.localPosition = new Vector3(0f, (realWide - 1) * 0.2f, 0f);

        Body.transform.localScale = new Vector3(0.01f, (realTall) * 0.01f, 0.01f);
        Body.transform.localPosition = new Vector3(0.001536f, -0.0005f + ((realTall - 1) * 0.0013f), 0f);

        Hair.transform.localPosition = new Vector3(0f, (realTall - 1) * 0.00265f, 0f);
    }
	
	void Update()
	{
        if (gameManager.gameStatus == "Processing")
        {
            InputManager();

            transform.position += new Vector3(0f, 0f, 3f * Time.deltaTime);
        }
        if (gameManager.gameStatus != "Killed")
        {
            RenderManager();
        }

        realTall = ((realTall * 15) + tall) / 16f;
        realWide = ((realWide * 15) + wide) / 16f;

	}
}
