using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;

public class Goal : MonoBehaviour
{

	public float change = 1f;
	public bool tall = true;

    private Man man;
    private GameManager gameManager;

    void Start()
    {
        man = FindObjectOfType<Man>();
        gameManager = FindObjectOfType<GameManager>();
    }

    void OnCollisionEnter(Collision col)
    {
        if (col.other.gameObject.name.Contains("man"))
        {
            if (change >= 1f)
            {
                man.PlaySound(man.Pickup);
            }
            else
            {
                man.PlaySound(man.Anti);
            }

            if (tall)
            {
                man.tall *= change;
                if (man.tall < 0.5f)
                {
                    gameManager.gameStatus = "Killed";
                }
            }
            else
            {
                man.wide *= change;
                if (man.wide < 0.5f)
                {
                    gameManager.gameStatus = "Killed";
                }
            }
        }
    }
}
