using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class Sign : MonoBehaviour
{
    private Man man;
    private GameManager gameManager;

    void Start()
    {
        man = FindObjectOfType<Man>();
        gameManager = FindObjectOfType<GameManager>();
    }

    void OnCollisionEnter(Collision col)
    {
        if (col.other.gameObject.name.Contains("man"))
        {
            man.PlaySound(man.Hurt);
            if (man.tall > 0.5f)
            {
                man.tall -= 0.5f;
            }
            else
            {
                if (man.wide > 0.5f)
                {
                    man.wide -= 0.5f;
                }
                else
                {
                    gameManager.gameStatus = "Killed";
                }
            }
        }
    }
}
